A utility class that helps with tasks that are common when working with meshes.

### Hierarchy

- MeshUtil

## Index

### Methods

- calculateBounds
- containsPoint

## Methods

### Static calculateBounds

- calculateBounds(vertexData: VertexData, sourceSpace: DisplayObject, targetSpace: DisplayObject, out?: Rectangle): Rectangle

- - Defined in lib/starling/utils/MeshUtil.d.ts:25

  Calculates the bounds of the given vertices in the target coordinate system.

  #### Parameters

  - ##### vertexData: VertexData

  - ##### sourceSpace: DisplayObject

  - ##### targetSpace: DisplayObject

  - ##### Optional out: Rectangle

  #### Returns Rectangle

### Static containsPoint

- containsPoint(vertexData: VertexData, indexData: IndexData, point: Point): boolean

- - Defined in lib/starling/utils/MeshUtil.d.ts:21

  Determines if a point is inside a mesh that is spawned up by the given vertex- and index-data.

  #### Parameters

  - ##### vertexData: VertexData

  - ##### indexData: IndexData

  - ##### point: Point

  #### Returns boolean

Generated using TypeDoc